%define	ver     1.0.71
%define	rel     2mdk
%define	prefix	%{_prefix}

Summary:	The GNOME Users' Guide
Name:		gnome-users-guide
Version:	%ver
Release:	%rel
Copyright:	GPL
Group:		Documentation
Icon:		gnome-logo.xpm

Source:		users-guide-%{PACKAGE_VERSION}.tar.bz2
Source1:	users-guide-1.0.5-de.tar.bz2
Source2:	users-guide-1.0.5-es.tar.bz2
Source3:	users-guide-1.0.5-it.tar.bz2
Source4:	gnome-user-guide-fr.tar.bz2

BuildRoot:	%{_tmppath}/gnome-users-guide-%{PACKAGE_VERSION}-root
BuildArchitectures: noarch

%description
This package will install the users' guide for the
GNOME Desktop Environment on your computer.

Avalaible languages are:
  - English
  - French
  - German
  - Italian
  - Spanish

%prep
%setup -n users-guide-%{PACKAGE_VERSION}

%build
./configure --prefix=%{prefix}

%install

rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT/%{prefix} install 

# hack de into this for now
cd $RPM_BUILD_ROOT/%{prefix}/share/gnome/help/users-guide
tar xyf %{SOURCE1}

# spanish
cd $RPM_BUILD_ROOT/%{prefix}/share/gnome/help/users-guide
tar xyf %{SOURCE2}
mv guia_usuario es

# french
cd $RPM_BUILD_ROOT
tar yxf %{SOURCE4}
cd  $RPM_BUILD_ROOT/%{prefix}/share/gnome/help/users-guide/fr
perl -p -i -e "s|><BODY|><BODY bgcolor="white" text="black" link="darkblue" vlink="darkgreen" alink="red"|" *.html

# italian
cd $RPM_BUILD_ROOT/%{prefix}/share/gnome/help/users-guide
tar xyf %{SOURCE3}
mv users-guide it
for i in `find it -name "*.htm*"` ; do
        cp $i A
        cat A | sed 's|../figs/|figs/|g' > $i
done
rm A
mkdir -p it/figs
ln -s ../C/figs/* it/figs/ || : 

# korean
#cd $RPM_BUILD_ROOT/%{prefix}/share/gnome/help/users-guide
#tar xyf %{SOURCE4} users-guide-1.0.5/users-guide
#tar xyf %{SOURCE4} users-guide-1.0.5/figs
#mv users-guide-1.0.5/users-guide ko
#mv users-guide-1.0.5/figs ko/figs
#rm -r users-guide-1.0.5
#for i in `find ko -name "*.htm*"` ; do
#	cp $i A
#	cat A | sed 's|../figs/|figs/|g' > $i
#done
#rm A

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-, root, root)
%doc README ChangeLog
%dir %{prefix}/share/gnome/help/users-guide
%{prefix}/share/gnome/help/users-guide/C
%lang(de) %{prefix}/share/gnome/help/users-guide/de
%lang(es) %{prefix}/share/gnome/help/users-guide/es
%lang(it) %{prefix}/share/gnome/help/users-guide/it
%lang(fr) %{prefix}/share/gnome/help/users-guide/fr
#%lang(ko) %{prefix}/share/gnome/help/users-guide/ko


%changelog
* Fri Mar 31 2000 David BAUDNS <baudens@mandrakesoft.com> 1.0.71-2mdk
- Add french translation
- Complete Description
- Use %%{_tmppath} for BuildRoot
- Clean after build
- Don't use %%{prefix} but %%{_prefix}

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 1.0.71 (lets see if i can _not_ break any pablo work)

* Wed Sep 01 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- added es,it guides

* Tue Jun 29 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- added german translation

* Fri Apr 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adatations.

* Fri Apr 02 1999 Michael Fulbright <drmike@redhat.com>
- version 1.0.5

* Mon Mar 22 1999 Michael Fulbright <drmike@redhat.com>
- version 1.0.4

* Mon Mar 15 1999 Michael Fulbright <drmike@redhat.com>
- version 1.0.3

* Fri Mar 12 1999 Michael Fulbright <drmike@redhat.com>
- version 1.0.2

* Mon Feb 15 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.5rh - special version for 5.2/GNOME beta CD

* Mon Feb 08 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.5

* Thu Feb 04 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.3

* Mon Jan 18 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.2

* Thu Dec 17 1998 Michael Fulbright <drmike@redhat.com>
- first pass at a spec file

